Package com.avaya.clientservices.media.capture

## Enum VideoCamera

- java.lang.Object
- - java.lang.Enum<VideoCamera>
  - - com.avaya.clientservices.media.capture.VideoCamera

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<VideoCamera>`

      public enum VideoCamera
      extends java.lang.Enum<VideoCamera>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `Back` |
    `External` |
    `Front` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `facing` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static VideoCamera` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static VideoCamera[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Back

          public static final VideoCamera Back

    - #### Front

          public static final VideoCamera Front

    - #### External

          public static final VideoCamera External

  - ### Field Detail

    - #### facing

          public final int facing

  - ### Method Detail

    - #### values

          public static VideoCamera[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VideoCamera c : VideoCamera.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VideoCamera valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null